Subject: bug#16573: 24.3; Auctex (11.87.2) in Elpa issues hundreds of warnings on compile

From: Tassilo Horn <[email-masked]>
Date: Fri, 31 Jan 2014 13:20:57 +0100

David Kastrup <[email-masked]> writes:

>>> Or you could turn them into macros.
>>
>> Indeed, that looks like a typical use-case for macros, but I'm rather
>> sure that there's a good reason that the auto parser stuff is like it
>> is.  David?
>
> [...]
> At any rate, the base of the style code has probably not been touched
> for something like 20 years, so it's quite likely that the reasons for
> making any particular technical decision in that area are decidedly
> historical.

Ok.  I've now turned TeX-auto-add-type into a macro and it seems to
work.  And it also uncovered a bug where the lambda added to
TeX-remove-style-hook contained (setq "[La]TeX-<type>-list" nil), i.e.,
there's a string rather a symbol.

I'll have to do some more testing before merging my local branch into
master and pushing, though.

>> While we are at it: David, is there any reason why somebody would
>> want to set TeX-install-font-lock to 'ignore nowadays so that
>> font-latex is not loaded?
>
> font-latex has different font highlighting from the Emacs default
> modes, and some may prefer the latter (which also tends to track
> Emacs' current capabilities better and might be more efficient for
> that reason).

Ok, thanks.

Bye,
Tassilo